Bug 581955 - Tests failed on version 1.6.3
Summary: Tests failed on version 1.6.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQuante
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-13 17:13 UTC by Fabien Archambault
Modified: 2010-11-13 22:04 UTC (History)
1 user (show)

Fixed In Version: PyQuante-1.6.3-5.174svn.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-13 22:01:56 UTC
Type: ---


Attachments (Terms of Use)

Description Fabien Archambault 2010-04-13 17:13:02 UTC
Description of problem:
Trying to use PyQuante I ran the tests in folder /usr/share/PyQuante/Tests. Results in 6 failed tests.

Version-Release number of selected component (if applicable): PyQuante-1.6.3-2.fc12.x86_64

How reproducible: every time

Steps to Reproduce:
1. cd /usr/share/PyQuante/Tests
2. ./runalltests.py
  
Actual results: 
Ran 19 tests in 153.139s

FAILED (failures=6)


Expected results: No failure


Additional info:
Here is the total output :
./runalltests.py 
ricks_unit failed!
Energy of H2 (using Gaussians) close to -1.08? ... ok
Energy of He (using Gaussians) close to -2.855? ... ok
Energy of He/DFT close to -2.82? ... ok
Energy of H2O close to -76.011751? ... ok
Energy of H2O (Mindo) close to -48.825159? ... ok
Energy of OH (Mindo) close to 18.128? ... ok
Energy of H2O (DFT) close to -75.896499? ... FAIL
Energy of Ne (using Gaussians) close to -128.474406? ... ok
Energy of NO (UHF) close to -129.247769? ... SCF Iteration: 0 Starting Energy: 0.0
SCF Iteration: 1 Starting Energy: -117.933971115
SCF Iteration: 2 Starting Energy: -122.61391933
SCF Iteration: 3 Starting Energy: -125.677485149
SCF Iteration: 4 Starting Energy: -127.379490091
SCF Iteration: 5 Starting Energy: -128.286531859
SCF Iteration: 6 Starting Energy: -128.757608089
SCF Iteration: 7 Starting Energy: -128.998943553
SCF Iteration: 8 Starting Energy: -129.121711354
SCF Iteration: 9 Starting Energy: -129.183946308
SCF Iteration: 10 Starting Energy: -129.215448895
SCF Iteration: 11 Starting Energy: -129.231391374
SCF Iteration: 12 Starting Energy: -129.239464491
SCF Iteration: 13 Starting Energy: -129.243558297
SCF Iteration: 14 Starting Energy: -129.245638754
SCF Iteration: 15 Starting Energy: -129.246699386
SCF Iteration: 16 Starting Energy: -129.247242567
SCF Iteration: 17 Starting Energy: -129.247522582
SCF Iteration: 18 Starting Energy: -129.247668336
SCF Iteration: 19 Starting Energy: -129.247745308
SCF Iteration: 20 Starting Energy: -129.247786843
SCF Iteration: 21 Starting Energy: -129.247809983
SCF Iteration: 22 Starting Energy: -129.247823471
ok
Energy of H2 first excited state (CIS) close to -0.645236? ... ok
Energy of H2 (MP2) close to -1.111591861694? ... ok
Energy of H2 (DFT) close to -1.132710? ... FAIL
Energy of LiH (DFT) close to -7.813809? ... FAIL
Energy of H atom (DFT) close to -0.4415033? ... FAIL
Energy of Li atom (DFT) close to -7.3321? ... ok
Energy of NO (DFT) close to -128.897264? ... FAIL
Energy of H2/FT/DFT close to -1.132473? ... ok
Energy of Li/FT/DFT close to -7.349422? ... FAIL
Energy of Be/OEP close to -7.98? ... ok

======================================================================
FAIL: Energy of H2O (DFT) close to -75.896499?
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/PyQuante/Tests/h2o_dft.py", line 29, in runTest
    self.assertInside(E, energy, 1e-4)
  File "/usr/share/PyQuante/Tests/sciunittest.py", line 8, in assertInside
    raise self.failureException, (msg or '%r != %r (+-%r)' % (first, second, error))
AssertionError: -75.850011843246946 != -75.896499000000006 (+-0.0001)

======================================================================
FAIL: Energy of H2 (DFT) close to -1.132710?
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/PyQuante/Tests/h2_dft.py", line 41, in runTest
    self.assertInside(E, energy, 1e-6)
  File "/usr/share/PyQuante/Tests/sciunittest.py", line 8, in assertInside
    raise self.failureException, (msg or '%r != %r (+-%r)' % (first, second, error))
AssertionError: -1.132797140738119 != -1.1327100000000001 (+-9.9999999999999995e-07)

======================================================================
FAIL: Energy of LiH (DFT) close to -7.813809?
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/PyQuante/Tests/lih_dft.py", line 53, in runTest
    self.assertInside(E, energy, 1e-5)
  File "/usr/share/PyQuante/Tests/sciunittest.py", line 8, in assertInside
    raise self.failureException, (msg or '%r != %r (+-%r)' % (first, second, error))
AssertionError: -7.8115043683958216 != -7.813809 (+-1.0000000000000001e-05)

======================================================================
FAIL: Energy of H atom (DFT) close to -0.4415033?
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/PyQuante/Tests/h_dft.py", line 19, in runTest
    self.assertInside(E, energy, 1e-8)
  File "/usr/share/PyQuante/Tests/sciunittest.py", line 8, in assertInside
    raise self.failureException, (msg or '%r != %r (+-%r)' % (first, second, error))
AssertionError: -0.44150630777939293 != -0.44150329999999999 (+-1e-08)

======================================================================
FAIL: Energy of NO (DFT) close to -128.897264?
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/PyQuante/Tests/no_dft.py", line 28, in runTest
    self.assertInside(E, energy, 1e-4)
  File "/usr/share/PyQuante/Tests/sciunittest.py", line 8, in assertInside
    raise self.failureException, (msg or '%r != %r (+-%r)' % (first, second, error))
AssertionError: -121.50179646771156 != -128.89726400000001 (+-0.0001)

======================================================================
FAIL: Energy of Li/FT/DFT close to -7.349422?
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/PyQuante/Tests/li_ft_dft.py", line 23, in runTest
    self.assertInside(E, energy, 1e-6)
  File "/usr/share/PyQuante/Tests/sciunittest.py", line 8, in assertInside
    raise self.failureException, (msg or '%r != %r (+-%r)' % (first, second, error))
AssertionError: -7.3494287928978865 != -7.3494219999999997 (+-9.9999999999999995e-07)

----------------------------------------------------------------------
Ran 19 tests in 153.139s

FAILED (failures=6)


It seems that it need to be reported upstream and also where is the ricks_unit ?

Comment 1 Susi Lehtola 2010-04-13 18:20:13 UTC
Hi,


I reported this back when I packaged PyQuante. The reason why the results differ is that the tests were changed to use a different grid to evaluate the DFT exchange-correlation.

There hasn't been a new release in some time (a couple of years!), but things are moving now and bringing some quite important improvements, such as faster integral evaluation.

Comment 2 Fabien Archambault 2010-04-13 18:33:56 UTC
Hi,

thanks for this fast answer and I am waiting for improvements.

Thanks.

Do this bug needs to be still open as it is not a real bug ?

Comment 3 Bug Zapper 2010-11-03 17:12:48 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fabien Archambault 2010-11-03 17:52:20 UTC
This is still in F13. Did not install F14 yet.
Need upstream updates or deletion from repositories...

Comment 5 Susi Lehtola 2010-11-03 19:04:40 UTC
The reason why I haven't updated the package is that no stable releases have been made. I just asked the upstream mailing list whether there are any plans on making a newer release.

As to this problem, there is still some heavy work going on in the development branch on the DFT grids (Rick Muller is trying to make spin polarized grids working).

Well, I guess I'll use an svn snapshot for now. Although the code is still a bit experimental, a newer release helps a lot.

Comment 6 Fedora Update System 2010-11-03 19:39:01 UTC
PyQuante-1.6.3-5.174svn.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PyQuante-1.6.3-5.174svn.fc14

Comment 7 Fedora Update System 2010-11-03 19:39:08 UTC
PyQuante-1.6.3-5.174svn.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/PyQuante-1.6.3-5.174svn.fc13

Comment 8 Fabien Archambault 2010-11-04 09:53:17 UTC
It works. Thanks

Comment 9 Fedora Update System 2010-11-04 23:31:54 UTC
PyQuante-1.6.3-5.174svn.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PyQuante'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/PyQuante-1.6.3-5.174svn.fc13

Comment 10 Fedora Update System 2010-11-13 22:01:50 UTC
PyQuante-1.6.3-5.174svn.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-13 22:04:23 UTC
PyQuante-1.6.3-5.174svn.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.